### Hierarchy

- BattleSettings

## Index

### Properties

- attackServerInterval
- bonusTimePerAllySeconds
- dodgeDamageReductionPercent
- dodgeDurationMs
- enemyAttackInterval
- energyDeltaPerHealthLost
- maximumAttackersPerBattle
- maximumEnergy
- minimumPlayerLevel
- retargetSeconds
- roundDurationSeconds
- sameTypeAttackBonusMultiplier
- swapDurationMs

## Properties

### attackServerInterval

attackServerInterval: number

- Defined in core/game_master/gameMaster.ts:24

### bonusTimePerAllySeconds

bonusTimePerAllySeconds: number

- Defined in core/game_master/gameMaster.ts:26

### dodgeDamageReductionPercent

dodgeDamageReductionPercent: number

- Defined in core/game_master/gameMaster.ts:34

### dodgeDurationMs

dodgeDurationMs: number

- Defined in core/game_master/gameMaster.ts:31

### enemyAttackInterval

enemyAttackInterval: number

- Defined in core/game_master/gameMaster.ts:23

### energyDeltaPerHealthLost

energyDeltaPerHealthLost: number

- Defined in core/game_master/gameMaster.ts:30

### maximumAttackersPerBattle

maximumAttackersPerBattle: number

- Defined in core/game_master/gameMaster.ts:27

### maximumEnergy

maximumEnergy: number

- Defined in core/game_master/gameMaster.ts:29

### minimumPlayerLevel

minimumPlayerLevel: number

- Defined in core/game_master/gameMaster.ts:32

### retargetSeconds

retargetSeconds: number

- Defined in core/game_master/gameMaster.ts:22

### roundDurationSeconds

roundDurationSeconds: number

- Defined in core/game_master/gameMaster.ts:25

### sameTypeAttackBonusMultiplier

sameTypeAttackBonusMultiplier: number

- Defined in core/game_master/gameMaster.ts:28

### swapDurationMs

swapDurationMs: number

- Defined in core/game_master/gameMaster.ts:33

Generated using TypeDoc